libnjb 2.2.7

Data Fields
njb_songid_frame_struct::[union].data Union Reference

## Data Fields
char * | strval
u_int8_t | u_int8_val
u_int16_t | u_int16_val
u_int32_t | u_int32_val
u_int64_t | u_int64_val

## Detailed Description

This is a union of possible frame types

## Field Documentation

## ◆ strval

char* njb_songid_frame_struct::[union].data strval

A string value

## ◆ u_int16_val

u_int16_t njb_songid_frame_struct::[union].data u_int16_val

A 16 bit unsigned integer value

## ◆ u_int32_val

u_int32_t njb_songid_frame_struct::[union].data u_int32_val

A 32 bit unsigned integer value

## ◆ u_int64_val

u_int64_t njb_songid_frame_struct::[union].data u_int64_val

A 64 bit unsigned integer value

## ◆ u_int8_val

u_int8_t njb_songid_frame_struct::[union].data u_int8_val

An 8 bit unsigned integer value

The documentation for this union was generated from the following files: